=== debian/control ===
Source: libsysperf
Section: devel
Priority: optional
Maintainer: Eero Tamminen <eero.tamminen@nokia.com>
Build-Depends: debhelper (>= 4.1.0), python
Standards-Version: 3.6.1

Package: libsysperf-dev
Architecture: any
Depends: make, python, ${shlibs:Depends}
Suggests: 
Description: Helper utilities and API library for CSV file handling
 API library and utilities for development of system performance tools
 dealing with CSV files.
