=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: sh -*- -----------------------------------------------
# Debian rules for building libsysperf
#
# Targets:
#
# binary
#	Creates the DEB binaries
#
# build
#	Compiles the software
#
# install
#	Installs the compiled sw to DEB directories
#
# clean
#	Cleans up everything
#
# History:
# 05-Jul-2005 Simo Piiroinen
# - rules copied from tracktools
# ----------------------------------------------------------------
#
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

.PHONY: build clean realclean install configure\
        binary-indep binary-arch binary

build:: build-stamp

binary:: binary-indep binary-arch

realclean:: clean

configure::
# nothing to do

#----------------------------------------------------------------
# compiling the software

build-stamp: configure
	dh_testdir
	touch $@

clean::
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean

#----------------------------------------------------------------
# debian cleanup
clean::
	dh_testdir
	dh_testroot
	dh_clean 

#----------------------------------------------------------------
# installation

ROOT=$(CURDIR)/debian/libsysperf-dev

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/${NAME}.
	$(MAKE) install ROOT=$(ROOT)

#	tree $(ROOT)

#----------------------------------------------------------------
# architecture-independent files -> DEBIAN dirs

binary-indep: #build install
# nothing to do

#----------------------------------------------------------------
# architecture-dependent files -> DEBIAN dirs

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs changelog
	dh_installdocs
#	dh_installexamples
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_python
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

#	tree $(CURDIR)/debian/libsysperf
