=== debian/changelog ===
libsysperf (0.2.2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Mon, 18 Jan 2010 10:17:32 +0200

libsysperf (0.2.2) unstable; urgency=low

  * Rebuild for Harmattan and relax version missmatcg check.
    Fixes: NB#153055 NB#151528

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Wed, 13 Jan 2010 13:01:28 +0200

libsysperf (0.2.1) unstable; urgency=low

  * Various issues reported by Coverity have been fixed. Fixes:
    NB#103722

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed,  4 Mar 2009 10:40:24 +0200

libsysperf (0.2.0) unstable; urgency=low

  * As jhash.h is no longer included in linux-kernel-headers, a copy has
    been explicitly added to this package (its license is loose enough
    to permit this). Fixes: NB#85383

 -- Eero Tamminen <eero.tamminen@nokia.com>  Tue, 13 May 2008 17:38:46 +0300
