=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Standards-Version: 3.6.1
 
 Package: libsysperf-dev
+Section: libdevel
 Architecture: any
 Depends: make, python, ${shlibs:Depends}
 Suggests:
